import { Base, Nullable$1, Point, Type } from "igniteui-angular-core";
import { CT_GroupTransform2D } from "./CT_GroupTransform2D";
import { WorksheetShapeGroup } from "./WorksheetShapeGroup";
import { WorksheetShape } from "./WorksheetShape";
import { CT_Transform2D } from "./CT_Transform2D";
import { ImageHolder } from "./ImageHolder";
import { ImageData } from "./ImageData";
import { CalculationMode } from "./CalculationMode";
import { ST_CalcMode } from "./ST_CalcMode";
import { CalendarType } from "./CalendarType";
import { ST_CalendarType } from "./ST_CalendarType";
import { CellBorderLineStyle } from "./CellBorderLineStyle";
import { ST_BorderStyle } from "./ST_BorderStyle";
import { CellReferenceMode } from "./CellReferenceMode";
import { ST_RefMode } from "./ST_RefMode";
import { DataValidationErrorStyle } from "./DataValidationErrorStyle";
import { ST_DataValidationErrorStyle } from "./ST_DataValidationErrorStyle";
import { DataValidationOperatorType } from "./DataValidationOperatorType";
import { ST_DataValidationOperator } from "./ST_DataValidationOperator";
import { DataValidationType } from "./DataValidationType";
import { ST_DataValidationType } from "./ST_DataValidationType";
import { FillPatternStyle } from "./FillPatternStyle";
import { ST_PatternType } from "./ST_PatternType";
import { FontSuperscriptSubscriptStyle } from "./FontSuperscriptSubscriptStyle";
import { ST_VerticalAlignRun } from "./ST_VerticalAlignRun";
import { FontUnderlineStyle } from "./FontUnderlineStyle";
import { ST_UnderlineValues } from "./ST_UnderlineValues";
import { ST_TextUnderlineType } from "./ST_TextUnderlineType";
import { HorizontalCellAlignment } from "./HorizontalCellAlignment";
import { ST_HorizontalAlignment } from "./ST_HorizontalAlignment";
import { HorizontalTextAlignment } from "./HorizontalTextAlignment";
import { ST_TextAlignType } from "./ST_TextAlignType";
import { PaneLocation } from "./PaneLocation";
import { ST_Pane } from "./ST_Pane";
import { ObjectDisplayStyle } from "./ObjectDisplayStyle";
import { ST_Objects } from "./ST_Objects";
import { Orientation } from "./Orientation";
import { ST_Orientation } from "./ST_Orientation";
import { PageOrder } from "./PageOrder";
import { ST_PageOrder } from "./ST_PageOrder";
import { PrintErrors } from "./PrintErrors";
import { ST_PrintError } from "./ST_PrintError";
import { PrintNotes } from "./PrintNotes";
import { ST_CellComments } from "./ST_CellComments";
import { ShapePositioningMode } from "./ShapePositioningMode";
import { ST_EditAs } from "./ST_EditAs";
import { ST_SchemeColorVal } from "./ST_SchemeColorVal";
import { WorkbookThemeColorType } from "./WorkbookThemeColorType";
import { ST_SheetState } from "./ST_SheetState";
import { WorksheetVisibility } from "./WorksheetVisibility";
import { ST_SheetViewType } from "./ST_SheetViewType";
import { WorksheetView } from "./WorksheetView";
import { ST_SortMethod } from "./ST_SortMethod";
import { SortMethod } from "./SortMethod";
import { ST_SystemColorVal } from "./ST_SystemColorVal";
import { Color } from "igniteui-angular-core";
import { ST_TableStyleType } from "./ST_TableStyleType";
import { WorksheetTableStyleArea } from "./WorksheetTableStyleArea";
import { ST_TextAnchoringType } from "./ST_TextAnchoringType";
import { VerticalTextAlignment } from "./VerticalTextAlignment";
import { ST_VerticalAlignment } from "./ST_VerticalAlignment";
import { VerticalCellAlignment } from "./VerticalCellAlignment";
import { WorkbookColorInfo } from "./WorkbookColorInfo";
import { EG_ColorChoice } from "./EG_ColorChoice";
import { Workbook } from "./Workbook";
import { IEG_FillProperties } from "./IEG_FillProperties";
import { Tuple$2 } from "igniteui-angular-core";
import { WorksheetCellAddress } from "./WorksheetCellAddress";
import { CT_Marker } from "./CT_Marker";
import { Worksheet } from "./Worksheet";
import { ST_PresetColorVal } from "./ST_PresetColorVal";
import { IEG_ColorChoiceVisitor$2 } from "./IEG_ColorChoiceVisitor$2";
import { IEG_FillPropertiesVisitor$2 } from "./IEG_FillPropertiesVisitor$2";
import { CT_SchemeColor } from "./CT_SchemeColor";
import { CT_SRgbColor } from "./CT_SRgbColor";
import { CT_SysColor } from "./CT_SysColor";
import { CT_PresetColor_Core } from "./CT_PresetColor_Core";
import { CT_BlipFillProperties } from "./CT_BlipFillProperties";
import { CT_GroupFillProperties } from "./CT_GroupFillProperties";
import { CT_NoFillProperties } from "./CT_NoFillProperties";
import { CT_SolidFillProperties } from "./CT_SolidFillProperties";
/**
 * @hidden
 */
export declare class XlsxUtilities extends Base {
    static $t: Type;
    static af(a: WorksheetShapeGroup): CT_GroupTransform2D;
    static ag(a: WorksheetShape): CT_Transform2D;
    static u(a: ImageData): ImageHolder;
    private static v;
    static a(a: ST_CalcMode): CalculationMode;
    static f(a: ST_CalendarType): CalendarType;
    static b(a: ST_BorderStyle): CellBorderLineStyle;
    static c(a: ST_RefMode): CellReferenceMode;
    static d(a: ST_DataValidationErrorStyle): DataValidationErrorStyle;
    static s(a: ST_DataValidationOperator): DataValidationOperatorType;
    static t(a: ST_DataValidationType): DataValidationType;
    static a7(a: Nullable$1<boolean>): Nullable$1<boolean>;
    static a6(a: boolean): Nullable$1<boolean>;
    static a8(a: Nullable$1<ST_PatternType>): Nullable$1<FillPatternStyle>;
    static e(a: ST_PatternType): FillPatternStyle;
    static g(a: ST_VerticalAlignRun): FontSuperscriptSubscriptStyle;
    static i(a: ST_UnderlineValues): FontUnderlineStyle;
    static h(a: ST_TextUnderlineType): FontUnderlineStyle;
    static k(a: Nullable$1<ST_HorizontalAlignment>): HorizontalCellAlignment;
    static j(a: ST_HorizontalAlignment): HorizontalCellAlignment;
    static l(a: ST_TextAlignType): HorizontalTextAlignment;
    static p(a: ST_Pane): PaneLocation;
    static m(a: ST_Objects): ObjectDisplayStyle;
    static n(a: ST_Orientation): Orientation;
    static o(a: ST_PageOrder): PageOrder;
    static q(a: ST_PrintError): PrintErrors;
    static r(a: ST_CellComments): PrintNotes;
    static w(a: ST_EditAs): ShapePositioningMode;
    static am(a: CellBorderLineStyle): ST_BorderStyle;
    static aq(a: DataValidationErrorStyle): ST_DataValidationErrorStyle;
    static ar(a: DataValidationOperatorType): ST_DataValidationOperator;
    static as(a: DataValidationType): ST_DataValidationType;
    static an(a: CalculationMode): ST_CalcMode;
    static ao(a: CalendarType): ST_CalendarType;
    static ap(a: PrintNotes): ST_CellComments;
    static at(a: ShapePositioningMode): ST_EditAs;
    static a9(a: HorizontalCellAlignment): Nullable$1<ST_HorizontalAlignment>;
    static au(a: ObjectDisplayStyle): ST_Objects;
    static av(a: Orientation): ST_Orientation;
    static aw(a: PageOrder): ST_PageOrder;
    static ax(a: PaneLocation): ST_Pane;
    static ba(a: Nullable$1<FillPatternStyle>): Nullable$1<ST_PatternType>;
    static ay(a: FillPatternStyle): ST_PatternType;
    static az(a: PrintErrors): ST_PrintError;
    static a0(a: CellReferenceMode): ST_RefMode;
    static ah(a: WorkbookThemeColorType): ST_SchemeColorVal;
    static a1(a: WorksheetVisibility): ST_SheetState;
    static a2(a: WorksheetView): ST_SheetViewType;
    static a3(a: SortMethod): ST_SortMethod;
    static bb(a: Color): Nullable$1<ST_SystemColorVal>;
    static a4(a: WorksheetTableStyleArea): ST_TableStyleType;
    static ai(a: HorizontalTextAlignment): ST_TextAlignType;
    static aj(a: VerticalTextAlignment): ST_TextAnchoringType;
    static ak(a: FontUnderlineStyle): ST_TextUnderlineType;
    static a5(a: FontUnderlineStyle): ST_UnderlineValues;
    static bc(a: VerticalCellAlignment): Nullable$1<ST_VerticalAlignment>;
    static al(a: FontSuperscriptSubscriptStyle): ST_VerticalAlignRun;
    static bf(a: ST_SystemColorVal): Color;
    static y(a: Nullable$1<ST_VerticalAlignment>): VerticalCellAlignment;
    static x(a: ST_VerticalAlignment): VerticalCellAlignment;
    static z(a: ST_TextAnchoringType): VerticalTextAlignment;
    static aa(a: EG_ColorChoice, b: Workbook): WorkbookColorInfo;
    static ab(a: IEG_FillProperties, b: Workbook): WorkbookColorInfo;
    static ac(a: ST_SchemeColorVal): WorkbookThemeColorType;
    static bd(a: CT_Marker, b: Worksheet): Tuple$2<WorksheetCellAddress, Point>;
    static ad(a: ST_SheetViewType): WorksheetView;
    static ae(a: ST_SheetState): WorksheetVisibility;
    static be(a: ST_PresetColorVal): Color;
}
/**
 * @hidden
 */
export declare class XlsxUtilities_WorkbookColorInfoCreator extends Base implements IEG_ColorChoiceVisitor$2<Workbook, WorkbookColorInfo>, IEG_FillPropertiesVisitor$2<Workbook, WorkbookColorInfo> {
    static $t: Type;
    static readonly a: XlsxUtilities_WorkbookColorInfoCreator;
    constructor();
    _visitCT_SchemeColor$i(a: CT_SchemeColor, b: Workbook): WorkbookColorInfo;
    _visitCT_SRgbColor$i(a: CT_SRgbColor, b: Workbook): WorkbookColorInfo;
    _visitCT_SysColor$i(a: CT_SysColor, b: Workbook): WorkbookColorInfo;
    _visitCT_PresetColor$i(a: CT_PresetColor_Core, b: Workbook): WorkbookColorInfo;
    _visitCT_BlipFillProperties$i(a: CT_BlipFillProperties, b: Workbook): WorkbookColorInfo;
    _visitCT_GroupFillProperties$i(a: CT_GroupFillProperties, b: Workbook): WorkbookColorInfo;
    _visitCT_NoFillProperties$i(a: CT_NoFillProperties, b: Workbook): WorkbookColorInfo;
    _visitCT_SolidFillProperties$i(a: CT_SolidFillProperties, b: Workbook): WorkbookColorInfo;
    private static b;
}
